> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create report



## OpenAPI

````yaml post /v1/report
openapi: 3.0.0
info:
  title: Report APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/report
  - url: https://staging.api.eu.aptlydone.com/report
  - url: https://api.us.aptlydone.com/report
  - url: https://api.eu.aptlydone.com/report
security: []
tags: []
paths:
  /v1/report:
    post:
      tags:
        - report
      summary: Create report
      operationId: ReportController_createReport_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportCreateDto'
      responses:
        '201':
          description: Report created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    ReportCreateDto:
      type: object
      properties:
        reportName:
          type: string
          description: Report name
          example: Bosco, Gleichner and Flatley Status Report
        reportType:
          type: string
          description: Report type
          enum:
            - DECISIONS
            - DELEGATIONS
            - ACTIONS
            - DOCUMENTS
            - USERS
            - POSITIONS
            - GROUPS
            - MATRICES
          example: DECISIONS
        status:
          type: string
          description: Report status
          enum:
            - PUBLISHED
            - ARCHIVED
            - DELETED
            - DRAFT
          example: PUBLISHED
        description:
          type: string
          description: Report description
          example: Subseco et crinis officiis tonsor.
        tenantId:
          type: string
          format: uuid
          description: >-
            Tenant ID (optional, will use auth user active tenant if not
            provided)
          example: ef9e434e-bf78-41ae-bf80-7d6b77eb0738
        ownerId:
          type: string
          format: uuid
          description: Owner ID
          example: bde4985e-5443-4531-a3f5-0f18beabe94a
        currentTab:
          type: string
          description: Current tab in create matrix flow
          example: Sharing
        reportColumns:
          description: Report columns
          type: array
          items:
            $ref: '#/components/schemas/ReportColumnDto'
        reportFilters:
          description: Report filters
          type: array
          items:
            $ref: '#/components/schemas/ReportFilterDto'
      required:
        - reportName
        - reportType
        - status
        - ownerId
    ReportResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:03.221Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/ReportResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    ReportColumnDto:
      type: object
      properties:
        columnName:
          type: string
          description: Column value ID from ReportColumnValue
          example: sourceType
        order:
          type: number
          description: Order of column in report
          example: 1
      required:
        - columnName
    ReportFilterDto:
      type: object
      properties:
        filterKey:
          type: string
          description: Filter key (optional)
          example: sectionId
        filterValue:
          type: object
          description: Filter value
          example: '{"ids": ["12345"]}'
    ReportResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Report unique identifier (UUID)
          example: f53b4ff5-0351-4241-9ba0-ae5420f85ad6
        reportId:
          type: string
          description: Human-readable report ID
          example: '10001'
        reportName:
          type: string
          description: Name of the report
          example: Feest, Hermiston and Konopelski Status Report
        description:
          type: string
          description: Detailed report description
          example: Charisma alii denego trans vacuus dolorum iusto arbitro utor.
        link:
          type: string
          description: URL link to view the report
          example: /reports/view/base64
        reportType:
          type: string
          description: Type of the report
          enum:
            - DECISIONS
            - DELEGATIONS
            - ACTIONS
            - DOCUMENTS
            - USERS
            - POSITIONS
            - GROUPS
            - MATRICES
          example: DECISIONS
        tenantId:
          type: string
          description: Tenant ID associated with the report
          example: 690a229f-9560-4962-81d0-d9cd7df8fa21
        ownerId:
          type: string
          description: User ID of the report owner
          example: d1ded054-fbad-46b4-9099-23f96194d507
        ownerDetails:
          description: Owner user details
          allOf:
            - $ref: '#/components/schemas/UserDto'
        currentTab:
          type: string
          description: Current tab in create matrix flow
          example: Sharing
        createdBy:
          type: string
          description: User ID who created the report
          example: 15ba396c-17cf-4962-8bd9-bc5b4515a6b8
        updatedBy:
          type: string
          description: User ID who last updated the report
          example: 36d22df2-1936-4e96-953f-bbfd4d7f0572
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp of the report
          example: '2026-01-07T20:36:33.769Z'
        updatedAt:
          format: date-time
          type: string
          description: Last updated timestamp of the report
          example: '2026-01-08T01:44:45.168Z'
        status:
          type: string
          description: Current status of the report
          enum:
            - PUBLISHED
            - ARCHIVED
            - DELETED
            - DRAFT
          example: PUBLISHED
        reportColumns:
          description: List of columns configured for the report
          type: array
          items:
            $ref: '#/components/schemas/ReportColumnDto'
        reportFilters:
          description: List of filters configured for the report
          type: array
          items:
            $ref: '#/components/schemas/ReportFilterDto'
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
      required:
        - id
        - reportId
        - reportName
        - reportType
        - tenantId
        - ownerId
        - createdAt
        - updatedAt
        - status
        - reportColumns
        - reportFilters
    UserDto:
      type: object
      properties:
        id:
          type: string
          description: User ID
          example: 18461bfe-7f70-4cb4-b215-f401510ba4c2
        name:
          type: string
          description: User name
          example: Alejandro Larkin I
        displayName:
          type: string
          description: User display name
          example: Mrs. Wilma Abernathy III
        profileImageUrl:
          type: string
          description: User profile image URL
          example: https://avatars.githubusercontent.com/u/63050314
        positionIds:
          description: Position IDs
          example:
            - b5cae4e5-a002-454e-aa21-02e613cd6566
          type: array
          items:
            type: string
        email:
          type: string
          description: User email
          example: Sherman_Fadel93@gmail.com
        mobilePhone:
          type: string
          description: User mobile phone
          example: 836.502.4243 x34159
        primaryOrganizationId:
          type: string
          description: Primary organization ID
          example: d248c1d1-bfb9-4e8e-a4cf-59e1c2b1d788
        manager:
          description: Manager details
          allOf:
            - $ref: '#/components/schemas/ManagerDto'
        roles:
          description: User roles
          type: array
          items:
            $ref: '#/components/schemas/RoleDto'
        groups:
          description: User groups
          type: array
          items:
            $ref: '#/components/schemas/GroupDto'
        positions:
          description: Enriched user positions from Settings service
          type: array
          items:
            $ref: '#/components/schemas/PositionDetailsDto'
        primaryOrganization:
          description: Enriched primary organization (group) details from Settings service
          allOf:
            - $ref: '#/components/schemas/GroupDetailsDto'
      required:
        - positions
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: 'permission allowed '
          nullable: false
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
      required:
        - relationship_key
    ManagerDto:
      type: object
      properties:
        id:
          type: string
          description: Manager ID
          example: c109a3ab-be10-44bd-b071-baf8a3165e05
        name:
          type: string
          description: Manager name
          example: Ms. Claudia Runolfsson
        displayName:
          type: string
          description: Manager display name
          example: Dean Streich IV
        profileImageUrl:
          type: string
          description: Manager profile image URL
          example: >-
            https://cdn.jsdelivr.net/gh/faker-js/assets-person-portrait/male/512/14.jpg
    RoleDto:
      type: object
      properties:
        tenantRoleId:
          type: string
          description: Tenant role ID
          example: 440dc298-ae80-4164-952c-996181c2ce17
        roleName:
          type: string
          description: Role name
          example: Administrator
    GroupDto:
      type: object
      properties:
        groupId:
          type: string
          description: Group ID
          example: b243aa1f-7969-4256-8613-e28144ece727
        groupTypeId:
          type: string
          description: Group type ID
          example: e033d810-a8d4-4c0c-8373-a43e0e620057
    PositionDetailsDto:
      type: object
      properties:
        id:
          type: string
          description: Position ID
          example: 3ee531e0-be0f-4219-9661-c46daced9885
        positionName:
          type: string
          description: Position name
          example: System Administrator
        tenantId:
          type: string
          description: Tenant ID
          example: 687f6049-1513-49c5-ad28-701bba50d5ab
        isScimProvisioned:
          type: boolean
          description: Whether the position is SCIM provisioned
          example: false
    GroupDetailsDto:
      type: object
      properties:
        id:
          type: string
          description: Group ID
          example: cf437311-15fe-49a6-88cc-f71a697a52f4
        groupName:
          type: string
          description: Group name
          example: Engineering Department
        tenantGroupTypeId:
          type: string
          description: Tenant group type ID
          example: 36609c08-5917-4e39-8b17-8b7ad6e0e06e
        tenantGroupTypeName:
          type: string
          description: Tenant group type name
          example: Organization
        displayName:
          type: string
          description: Group display name
          example: Engineering Department
        legalName:
          type: string
          description: Legal name
          example: Engineering Department Inc.
        baseCurrency:
          type: string
          description: Base currency
          example: USD
        decisionsCount:
          type: number
          description: Decisions count
          example: 42
        delegationsCount:
          type: number
          description: Delegations count
          example: 10
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````